Bug 1653304 - Select particular hosts from the host collection while applying the errata.
Summary: Select particular hosts from the host collection while applying the errata.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Host Collections
Version: 6.4.0
Hardware: All
OS: Linux
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-26 13:53 UTC by Suraj Patil
Modified: 2019-08-12 19:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-14 14:53:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
host collection screenshot (223.66 KB, image/png)
2018-11-26 13:54 UTC, Suraj Patil
no flags Details
Satellite 6.4 - host collection - errata installation (174.01 KB, image/png)
2018-12-07 13:06 UTC, Brad Buckingham
no flags Details

Description Suraj Patil 2018-11-26 13:53:59 UTC
Description of problem:
We should be able to select or deselect any host from the host collection while applying the errata. This feature was present in satellite 6.2 but was removed after satellite 6.3. 

Please see the attach screenshot from satellite 6.2 for more details.  

Version-Release number of selected component (if applicable):
satellite 6.4.0


Steps to Reproduce:
1. Create a host collection and add few hosts in it. 
2. After that in host collection click on "Errata Installation".
3. There is no way that we can deselect few hosts from host collection. 

Actual results:
Not able to select or deselect any host from the host collection while applying the errata

Comment 1 Suraj Patil 2018-11-26 13:54:36 UTC
Created attachment 1508578 [details]
host collection screenshot

Comment 4 Brad Buckingham 2018-12-07 13:05:27 UTC
The screenshot in comment 1 is from an earlier release of Satellite 6.

Attaching screenshot from 6.4 for comparison.  In this, notice that the hosts  list may not longer be altered after clicking 'Errata Installation'.

Comment 5 Brad Buckingham 2018-12-07 13:06:04 UTC
Created attachment 1512498 [details]
Satellite 6.4 - host collection - errata installation

Comment 6 Brad Buckingham 2018-12-07 13:11:00 UTC
In Satellite 6.4, this should still be achievable with an altered workflow. 

Suraj, can you confirm if this will work for the user?

E.g.

- go to Hosts -> Content Hosts
- search by host collection (e.g. host_collection = hc1)
- select checkboxes for the desired hosts
- click 'Select Action' -> 'Manage Errata'
- select checkboxes for desired errata
- click 'Install Selected'

Comment 7 Suraj Patil 2019-03-11 14:26:56 UTC
Hey Brad,

Sorry for late reply. 

I have confirmed, this can achievable with an altered workflow as you have suggested. 

I guess we can close this bug.


Note You need to log in before you can comment on or make changes to this bug.